using System.Text.Json.Serialization;
using e_suite.API.Common.models.@base;
using eSuite.Core.Miscellaneous;

namespace e_suite.API.Common.models;

public abstract class EditableGlossaryItem : GlossaryItemBase
{
    [JsonPropertyName("parent")]
    public GeneralIdRef Parent { get; set; } = null!;

    [JsonPropertyName("childCustomFieldDefinition")]
    public List<GeneralIdRef> ChildCustomFieldDefinition { get; set; } = new();

    [JsonPropertyName("customFieldValues")]
    public List<CustomFieldValues> CustomFieldValues { get; set; } = new();

}